# Review Request:
# https://bugzilla.redhat.com/show_bug.cgi?id=432613

%define kdeversion 4.2.3

Name:           kgrab
Version:        0.1.1
Release:        15%{?dist}
Summary:        A screen grabbing utility

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://extragear.kde.org
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{kdeversion}/src/extragear/%{name}-%{version}-kde%{kdeversion}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs4-devel >= 4
BuildRequires:  kde-filesystem >= 4
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: kdelibs4 >= 4
Requires: oxygen-icon-theme
Requires(post): xdg-utils
Requires(postun): xdg-utils

%description
kgrab is a screen grabbing utility for KDE.

%prep
%setup -qn %{name}-%{version}-kde%{kdeversion}

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# validate desktop file
desktop-file-install --vendor ""                          \
        --dir %{buildroot}%{_datadir}/applications/kde4   \
        %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC COPYING.LIB
%{_kde4_bindir}/kgrab
%{_datadir}/applications/kde4/kgrab.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kgrab.xml
%{_kde4_iconsdir}/hicolor/*/apps/kgrab.*
%dir %{_kde4_datadir}/kde4/apps/kgrab
%{_kde4_datadir}/kde4/apps/kgrab/kgrabui.rc


%changelog
* Tue May 12 2009 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-15
- 4.2.3

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 23 2009 Than Ngo <than@redhat.com> - 0.1.1-13
- 4.2.0

* Fri Dec 05 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1.1-12
- rebuild for fixed kde-filesystem (macros.kde4) (get rid of rpaths)

* Thu Dec  4 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1.1-11
- Include /usr/share/kde4/apps/kgrab directory.

* Sat Oct 04 2008 Than Ngo <than@redhat.com> 0.1.1-10
- 4.1.2

* Fri Aug 29 2008 Than Ngo <than@redhat.com> 0.1.1-9
- 4.1.1

* Thu Aug 28 2008 Sebastian Vahl <fedora@deadbabylon.de> 0.1.1-8
- 4.1 (final)

* Mon May 26 2008 Than Ngo <than@redhat.com> 0.1.1-7.kde4.0.80
- 4.1 beta1

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.1.1-6
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.1.1-5
- rebuild for NDEBUG and _kde4_libexecdir

* Thu Feb 14 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-4
- remove reference to KDE 4 in summary and description

* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-3
- added Requires: kdelibs4 >= 4
- added Requires: oxygen-icon-theme

* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-2
- added requires xdg-utils, kde4-macros(api)

* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-1
- initial version
